<?php
class DeleteItemAction extends BaseAction
{
    public function run()
    {
        $id = intval(Yii::app()->request->getQuery('id'));
        $medal = Medal::model()->findByPk($id);
        $medal->delete();
        
        $this->getController()->redirect(array('index'));
    }
}